void GetDescription(char d[])
{
   strcpy(d,"Operator's name - Hide");
}

int GetPriority()
{
   return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}


void SetAlpha(char s[], int a)
{
  int r, g, b;
  char sval[10];
  char n[200];
  
  strcpy(n,s);

  r = GetValueAfter(n);
  ltoa(r,sval,10);
  strcat(n,sval);
  strcat(n," ");

  g = GetValueAfter(n);
  ltoa(g,sval,10);
  strcat(n,sval);
  strcat(n," ");

  b = GetValueAfter(n);
  ltoa(b,sval,10);
  strcat(n,sval);
  strcat(n," ");

  ltoa(a,sval,10);
  strcat(n,sval);

  ReplaceLineByStr(s,n);
  
}

int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   
   if (IsResMore176())
   {
      ReplaceLineByStr("1 570 ", "1 570 221 341 222 342");
//   1 570 3 21 236 53
   }
   else
   {
     SetAlpha("4 595 ", 255);   // Main text
     SetAlpha("4 596 ", 255);   // 1st outline
     SetAlpha("4 597 ", 255);   // 2nd outline
   }
}



